Bug 82614 - EDITING: Ctrl+PgUp / PgDown do not place cursor in header / footer
Summary: EDITING: Ctrl+PgUp / PgDown do not place cursor in header / footer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-08-14 12:02 UTC by Cor Nouws
Modified: 2015-12-17 08:30 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2014-08-14 12:02:34 UTC
New document
Enter
Insert > Header > Default
 > Cursor is in header, type 'bladiebla'
Ctrl+PgUP
 > Cursor is in main text
OK
again Ctrl+PgUP
 > Cursor is _still_ in main text
Not OK
 > Cursor should be in header

Same for Ctrl+PgDwn for Footer area
Comment 1 sophie 2014-08-14 12:57:03 UTC
Hi Cor, confirmed using Version: 4.4.0.0.alpha0+
Build ID: 13d4f7b800a9f35717ed91f330b38513e0db4bc6
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-08-12_16:26:55
works well in 4.3.0.4 - Set as New - Sophie
Comment 2 Yousuf Philips (jay) (retired) 2014-08-14 13:54:58 UTC
Doesnt happen in 4.3.2, so it seems to be limited to master.

Version: 4.3.2.0.0+
Build ID: d2eec11f0a6f27e13a4a834942f8acf20ae62cec
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-08-09_04:20:14
Comment 3 Terrence Enger 2014-11-29 17:59:28 UTC
Working the the daily dbgutil bibisect repository, I see from `git
bisect bad`:

    e5e8ff133f210925dc4dedb018fd216b70aaaaaf is the first bad commit
    commit e5e8ff133f210925dc4dedb018fd216b70aaaaaf
    Author: Miklos Vajna <vmiklos@collabora.co.uk>
    Date:   Sun Jul 27 01:58:31 2014 +0000

        2014-07-27

    :100644 100644 066d75cdb1d4cf68687ba60a4ffaca1f10b0f72b c6b2fdf68ff89433ca6e693c8a84a703972f4a69 M	build-info.txt
    :040000 040000 e7058a40748fa645713da0f88ef2422bf58d7493 7fd05ec8b17ea5eb94487671424a8c7da79d38b2 M	opt

and from `git bisect log`:

    # bad: [43ab1b68274782b4dcfc69a5662179dcf00e9eab] 2014-08-15
    # good: [b3130c846de5cf1b4be48b48dfc780bb369549fa] 2014-05-21
    git bisect start '43ab1b6' 'oldest'
    # good: [b7ea5ebd0e0fee42d8971dd75b8efbc6e0e47739] 2014-07-02
    git bisect good b7ea5ebd0e0fee42d8971dd75b8efbc6e0e47739
    # good: [78882e6831ce98a1b061c9656b4fc3565cfa2e04] 2014-07-24
    git bisect good 78882e6831ce98a1b061c9656b4fc3565cfa2e04
    # bad: [f135a3932d7b89750cbb34cc689e849be894d658] 2014-08-04
    git bisect bad f135a3932d7b89750cbb34cc689e849be894d658
    # bad: [5ed7df78a02df9f716188ab12cc6f641f479b6d1] 2014-07-29
    git bisect bad 5ed7df78a02df9f716188ab12cc6f641f479b6d1
    # good: [eeeb0472cfa81be26fa406ef28a65d87398006a1] 2014-07-26
    git bisect good eeeb0472cfa81be26fa406ef28a65d87398006a1
    # bad: [1e0dac037dd9e4277c0e3085324df3535de2a536] 2014-07-28
    git bisect bad 1e0dac037dd9e4277c0e3085324df3535de2a536
    # bad: [e5e8ff133f210925dc4dedb018fd216b70aaaaaf] 2014-07-27
    git bisect bad e5e8ff133f210925dc4dedb018fd216b70aaaaaf
    # first bad commit: [e5e8ff133f210925dc4dedb018fd216b70aaaaaf] 2014-07-27

The respective source hashes are:

    result  date        commit   source-hash
    good    2014-07-26  eeeb047  fed7294
    bad     2014-07-27  e5e8ff1  3f8e114
Comment 4 Michael Stahl (CIB) 2014-12-15 15:43:56 UTC
regression from:

commit 07c00671443f3f0a2e2e6c3a54c391f040e8fd2b
Author:     Matteo Casalin <matteo.casalin@yahoo.com>
AuthorDate: Fri Jul 25 14:49:17 2014 +0200

    Simplify code path


fixed on master.
Comment 5 Commit Notification 2014-12-15 15:44:29 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86910c87c193345e5e36104e21b8e26790d6846d

fdo#82614: sw: Revert "Simplify code path"

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-15 15:47:05 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc84b64c59aaa513142f41b261b1f10820c4a953&h=libreoffice-4-4

fdo#82614: sw: Revert "Simplify code path"

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 08:30:05 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]